Bug 242809 - Anaconda consumes 100% cpu with KS
Anaconda consumes 100% cpu with KS
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
low Severity high
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2007-06-05 17:37 EDT by Ney Senna
Modified: 2008-05-06 15:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 15:40:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ks used to install machines (14.79 KB, text/plain)
2007-06-14 15:00 EDT, Ney Senna
no flags Details

  None (edit)
Description Ney Senna 2007-06-05 17:37:30 EDT
Description of problem:
When install FC6, with KS, in machine with 256mb, anaconda consumes 100% cpu and
 the process of installation freeze.
When i press <ctrl> <alt> <f2>, command "top" shows anaconda with 100% of use (cpu)

Version-Release number of selected component (if applicable):
Fedora Core 6

How reproducible:
Install FC6, with my own repo's, with KS (kickstart), using options (in ks):
repo --name=FC6-UPDATES-i386 --baseurl=http://localaddress/fc6/updates/i386
repo --name=FC6-EXTRAS-i386 --baseurl=http://localaddress/fc6/extras/i386

Additional info:
When remove this options (repo --name ....) in ks, no problems occurs.
Comment 1 Chris Lumens 2007-06-13 17:23:40 EDT
What sort of %packages section do you have?
Comment 2 Ney Senna 2007-06-14 15:00:42 EDT
Created attachment 157030 [details]
ks used to install machines
Comment 3 Chris Lumens 2007-06-25 15:39:16 EDT
The problem here is the size of your %packages section.  We're using a pretty
inefficient group of functions to process each individual package line.  It just
doesn't turn up in most cases because people typically have a small group of
packages listed.  Some work is going in this area, but no real answers yet.
Comment 4 Ney Senna 2007-07-04 15:10:05 EDT
I create a group "mycompanygroup", in comps.xml, with all the packages i use in KS.
Then recreate index with createrepo -g Fedora/base/comps.xml . in the os server.
Then remove all packages in KS, and insert
It's better, but sometimes still consumes 100% of cpu for machine with 256mb.
Comment 5 Chris Lumens 2007-07-23 11:19:41 EDT
Can you try a rawhide tree with yum-3.2.2 or later and see if this works better
for you?  Some work has gone into yum to speed this code path up.
Comment 6 Ney Senna 2007-07-26 09:44:46 EDT
for fc6 ? yes. 
Need update aditional package in the tree ?
can i use this ->
Comment 7 Chris Lumens 2007-07-26 10:13:54 EDT
No, you can't.  You'll need to try an installation from the development tree (or
F8 test 1, which is coming right up).  We don't make anaconda updates for past
releases so testing the development tree is really the only way to check out
these fixes.
Comment 8 Ney Senna 2007-07-26 11:10:53 EDT
humm... ok, but i can't do this now. i have to take another machine, to create
this tree, and then update the repo.
i believe i can do this in september.
Comment 9 Bug Zapper 2008-04-04 03:22:45 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 15:40:11 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.